# state_zoom.cpp File Reference

Zoom Tool Implementation File. More...

`#include <sigc++/signal.h>`
`#include <sigc++/object.h>`
`#include <ETL/handle>`
`#include <synfig/vector.h>`
`#include "state_zoom.h"`
`#include "event_mouse.h"`
`#include "canvasview.h"`
`#include "workarea.h"`
`#include "app.h"`
`#include "toolbox.h"`
`#include <synfigapp/main.h>`
`#include "general.h"`

## Variables

const float | ZOOMFACTOR = 1.25f

## Detailed Description

Zoom Tool Implementation File.

$Id$

## Variable Documentation

const float ZOOMFACTOR = 1.25f